Bug 884992 - (CVE-2014-3515) VUL-0: php5: CVE-2014-3515: unserialize() SPL ArrayObject / SPLObjectStorage Type Confusion
(CVE-2014-3515)
VUL-0: php5: CVE-2014-3515: unserialize() SPL ArrayObject / SPLObjectStorage ...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: General
unspecified
Other Other
: P2 - High : Major
: ---
Assigned To: Security Team bot
Security Team bot
maint:running:58151:moderate maint:re...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-30 13:35 UTC by Petr Gajdos
Modified: 2019-06-17 22:38 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 6 SMASH SMASH 2014-07-02 10:16:52 UTC
Affected packages:

SLE-10-SP3-TERADATA: php5
SLE-11-SP1: php5
SLE-11-SP3: php5
Comment 10 Swamp Workflow Management 2014-07-21 08:08:00 UTC
openSUSE-SU-2014:0925-1: An update that fixes 6 vulnerabilities is now available.

Category: security (low)
Bug References: 884986,884987,884989,884990,884991,884992
CVE References: CVE-2014-0207,CVE-2014-3478,CVE-2014-3479,CVE-2014-3480,CVE-2014-3487,CVE-2014-3515
Sources used:
openSUSE 13.1 (src):    php5-5.4.20-16.1
openSUSE 12.3 (src):    php5-5.3.17-3.20.1
Comment 11 Swamp Workflow Management 2014-07-30 10:06:00 UTC
SUSE-SU-2014:0938-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 884986,884987,884989,884990,884991,884992,885961,886059,886060
CVE References: CVE-2014-0207,CVE-2014-3478,CVE-2014-3479,CVE-2014-3480,CVE-2014-3487,CVE-2014-3515,CVE-2014-4670,CVE-2014-4698,CVE-2014-4721
Sources used:
SUSE Linux Enterprise Software Development Kit 11 SP3 (src):    php53-5.3.17-0.27.1
SUSE Linux Enterprise Server 11 SP3 for VMware (src):    php53-5.3.17-0.27.1
SUSE Linux Enterprise Server 11 SP3 (src):    php53-5.3.17-0.27.1
Comment 12 Victor Pereira 2014-07-30 12:15:25 UTC
fixed and released
Comment 13 Bernhard Wiedemann 2014-09-17 18:01:21 UTC
This is an autogenerated message for OBS integration:
This bug (884992) was mentioned in
https://build.opensuse.org/request/show/249993 Evergreen:11.4 / php5.openSUSE_Evergreen_11.4
Comment 14 Swamp Workflow Management 2014-09-28 10:08:42 UTC
openSUSE-SU-2014:1236-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 884986,884987,884989,884990,884991,884992,885961,886059,886060
CVE References: CVE-2014-0207,CVE-2014-3478,CVE-2014-3479,CVE-2014-3480,CVE-2014-3487,CVE-2014-3515,CVE-2014-4670,CVE-2014-4698,CVE-2014-4721
Sources used:
openSUSE Evergreen 11.4 (src):    php5-5.3.17-379.1
Comment 15 Swamp Workflow Management 2016-06-21 11:09:40 UTC
SUSE-SU-2016:1638-1: An update that fixes 85 vulnerabilities is now available.

Category: security (important)
Bug References: 884986,884987,884989,884990,884991,884992,885961,886059,886060,893849,893853,902357,902360,902368,910659,914690,917150,918768,919080,921950,922451,922452,923945,924972,925109,928506,928511,931421,931769,931772,931776,933227,935074,935224,935226,935227,935229,935232,935234,935274,935275,938719,938721,942291,942296,945412,945428,949961,968284,969821,971611,971612,971912,973351,973792,976996,976997,977003,977005,977991,977994,978827,978828,978829,978830,980366,980373,980375,981050,982010,982011,982012,982013,982162
CVE References: CVE-2004-1019,CVE-2006-7243,CVE-2014-0207,CVE-2014-3478,CVE-2014-3479,CVE-2014-3480,CVE-2014-3487,CVE-2014-3515,CVE-2014-3597,CVE-2014-3668,CVE-2014-3669,CVE-2014-3670,CVE-2014-4049,CVE-2014-4670,CVE-2014-4698,CVE-2014-4721,CVE-2014-5459,CVE-2014-8142,CVE-2014-9652,CVE-2014-9705,CVE-2014-9709,CVE-2014-9767,CVE-2015-0231,CVE-2015-0232,CVE-2015-0273,CVE-2015-1352,CVE-2015-2301,CVE-2015-2305,CVE-2015-2783,CVE-2015-2787,CVE-2015-3152,CVE-2015-3329,CVE-2015-3411,CVE-2015-3412,CVE-2015-4021,CVE-2015-4022,CVE-2015-4024,CVE-2015-4026,CVE-2015-4116,CVE-2015-4148,CVE-2015-4598,CVE-2015-4599,CVE-2015-4600,CVE-2015-4601,CVE-2015-4602,CVE-2015-4603,CVE-2015-4643,CVE-2015-4644,CVE-2015-5161,CVE-2015-5589,CVE-2015-5590,CVE-2015-6831,CVE-2015-6833,CVE-2015-6836,CVE-2015-6837,CVE-2015-6838,CVE-2015-7803,CVE-2015-8835,CVE-2015-8838,CVE-2015-8866,CVE-2015-8867,CVE-2015-8873,CVE-2015-8874,CVE-2015-8879,CVE-2016-2554,CVE-2016-3141,CVE-2016-3142,CVE-2016-3185,CVE-2016-4070,CVE-2016-4073,CVE-2016-4342,CVE-2016-4346,CVE-2016-4537,CVE-2016-4538,CVE-2016-4539,CVE-2016-4540,CVE-2016-4541,CVE-2016-4542,CVE-2016-4543,CVE-2016-4544,CVE-2016-5093,CVE-2016-5094,CVE-2016-5095,CVE-2016-5096,CVE-2016-5114
Sources used:
SUSE Linux Enterprise Server 11-SP2-LTSS (src):    php53-5.3.17-47.1